com.ihr.xbrl.om.taxonomy

## Class XSDElementRef

- java.lang.Object
- - com.ihr.xbrl.om.taxonomy.XSDElementRef

- All Implemented Interfaces:
    XSDParticle

      public class XSDElementRef
      extends java.lang.Object
      implements XSDParticle

  Element reference used inside a tuple definition.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSDElementRef(XMLElementDefinition el, int minOccurs, int maxOccurs)` Instantiates a new XSD element ref.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.jdom.Element` | `generateElement(org.jdom.Namespace xsNs)` Generates an XML representation of this particle.
    `XMLElementDefinition` | `getElement()` The Element definition of this XSDElement.
    `int` | `getMaxoccurs()` Access to the value of the maxOccurs variable on this particle.
    `int` | `getMinoccurs()` Access to the value of the minOccurs variable on this particle.
    `int` | `setMaxoccurs(int newValue)` Sets the value of the maxOccurs on this particle.
    `int` | `setMinoccurs(int newValue)` Sets the value of the minOccurs on this particle.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XSDElementRef

          public XSDElementRef(XMLElementDefinition el,
                       int minOccurs,
                       int maxOccurs)

      Instantiates a new XSD element ref.
      Parameters:
        `el` - the el
        `minOccurs` - the min occurs
        `maxOccurs` - the max occurs

  - ### Method Detail

    - #### getMaxoccurs

          public int getMaxoccurs()

      Description copied from interface: `XSDParticle`
      Access to the value of the maxOccurs variable on this particle.
      Specified by:
        `getMaxoccurs` in interface `XSDParticle`
      Returns:
        integer or XSDComposition.UNBOUNDED

    - #### getMinoccurs

          public int getMinoccurs()

      Description copied from interface: `XSDParticle`
      Access to the value of the minOccurs variable on this particle.
      Specified by:
        `getMinoccurs` in interface `XSDParticle`
      Returns:
        integer

    - #### setMaxoccurs

          public int setMaxoccurs(int newValue)

      Description copied from interface: `XSDParticle`
      Sets the value of the maxOccurs on this particle.
      Specified by:
        `setMaxoccurs` in interface `XSDParticle`
      Parameters:
        `newValue` - the new value to set
      Returns:
        the previous value of the maxOccurs variable

    - #### setMinoccurs

          public int setMinoccurs(int newValue)

      Description copied from interface: `XSDParticle`
      Sets the value of the minOccurs on this particle.
      Specified by:
        `setMinoccurs` in interface `XSDParticle`
      Parameters:
        `newValue` - the new value to set
      Returns:
        the previous value of the minOccurs variable

    - #### getElement

          public XMLElementDefinition getElement()

      The Element definition of this XSDElement.
      Returns:
        XMLElementDefinition

    - #### generateElement

          public org.jdom.Element generateElement(org.jdom.Namespace xsNs)

      Description copied from interface: `XSDParticle`
      Generates an XML representation of this particle.
      Specified by:
        `generateElement` in interface `XSDParticle`
      Parameters:
        `xsNs` - namespace
      Returns:
        org.jdom.Element